import { Theme } from 'treat/theme';
import { ClassRef, Style, GlobalStyle, StylesMap, ThemeRef, ThemedStyle, StyleMap } from './types';
export declare function style(style: ThemedStyle<Style, Theme>, localDebugName?: string): ClassRef;
declare type StyleMapParam<ClassName extends string> = ThemedStyle<StyleMap<ClassName, Style>, Theme>;
export declare function styleMap<ClassName extends string>(stylesheet: StyleMapParam<ClassName>, localDebugName?: string): StylesMap<ClassName>;
export declare function createTheme(tokens: Theme, localDebugName?: string): ThemeRef;
export declare function globalStyle(selector: string, style: ThemedStyle<GlobalStyle, Theme>): void;
declare type MakeStyleTree<ReturnType> = (theme: Theme, styleNode: (style: Style, localDebugName?: string) => ClassRef) => ReturnType;
export declare function styleTree<ReturnType>(makeStyleTree: MakeStyleTree<ReturnType>): ReturnType;
export {};
